Bug 1342095 - fatal error: You must enable NEON instructions with -O3
Summary: fatal error: You must enable NEON instructions with -O3
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 24
Hardware: armv7hl
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-06-02 12:24 UTC by Ngo Than
Modified: 2017-08-08 14:44 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 14:44:04 UTC


Attachments (Terms of Use)

Description Ngo Than 2016-06-02 12:24:49 UTC
krita doesn't build with -O3 on armv7hl, it breaks with the followings errors:

In file included from /usr/include/qt5/QtCore/QtEndian:1:0,
                 from /builddir/build/BUILD/krita-3.0/plugins/impex/psd/psd_pixel_utils.cpp:31:
/usr/include/qt5/QtCore/qendian.h: In function 'void PsdPixelUtils::writePixelDataCommon(QIODevice*, KisPaintDeviceSP, const QRect&, psd_color_mode, int, bool, bool, QVector<PsdPixelUtils::ChannelWritingInfo>&)':
/usr/include/qt5/QtCore/qendian.h:142:36: fatal error: You must enable NEON instructions (e.g. -mfloat-abi=softfp -mfpu=neon) to use these intrinsics.
     return __builtin_bswap16(source);


it build fine with -O2. Someone already reported the similar issue to gcc upstream:
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71056

It would be great if we could include this patch in f24/rawhide.

Comment 1 Peter Robinson 2016-07-14 04:54:29 UTC
> /usr/include/qt5/QtCore/qendian.h:142:36: fatal error: You must enable NEON
> instructions (e.g. -mfloat-abi=softfp -mfpu=neon) to use these intrinsics.
>      return __builtin_bswap16(source);

These settings are wrong. They should be "-mfpu=vfpv3-d16  -mfloat-abi=hard" which is what the Fedora ARMv7 default CFLAGS are, anything else will cause issues because everything else isn't using them. Why aren't we using the distro defaults?

> it build fine with -O2. Someone already reported the similar issue to gcc
> upstream:
> https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71056

So the distro default CFLAGS is -O2, is there a reason we're diverging from these?

Comment 2 Fedora End Of Life 2017-07-25 20:58:56 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 14:44:04 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.